import React from 'react';
import { CircleProps, ClipPathProps, DefsProps, EllipseProps, GProps, LinearGradientProps, LineProps, PathProps, PolygonProps, PolylineProps, RadialGradientProps, RectProps, StopProps, SVGProps, SVGTextProps, TspanProps, ViewProps } from "@react-pdf/renderer";
import type { Style } from '@react-pdf/types';
export type ElementProps = ViewProps | SVGProps | LineProps | PolylineProps | PolygonProps | PathProps | RectProps | CircleProps | EllipseProps | SVGTextProps | TspanProps | GProps | StopProps | DefsProps | ClipPathProps | LinearGradientProps | RadialGradientProps;
export type PropsUpdateQuery = {
    [selector: string]: ElementProps | ((props: ElementProps) => ElementProps);
};
export type StyleUpdateQuery = {
    [selector: string]: Style | ((props: ElementProps) => Style);
};
export type SvgWrapperProps = React.PropsWithChildren<{
    rechartResponsive?: boolean;
    baseFontSize?: number;
    propsUpdateQuery?: PropsUpdateQuery;
    styleUpdateQuery?: StyleUpdateQuery;
}>;
export default function SvgWrapper(props: SvgWrapperProps): string | React.JSX.Element | React.JSX.Element[];
//# sourceMappingURL=index.d.ts.map